File libxl-qemu-emulator-caps.patch of Package libvirt

libxl: advertise system qemu instead of qemu-xen in caps

Xen in SLE12 SP2, openSUSE Leap 42.2, and Tumbleweed will no
longer provide qemu-xen (aka qemu-upstream). Instead, the
qemu binary from the distro qemu package will be used. Change
the libvirt capabilities to advertise /usr/bin/qemu-system-x86_64
as the default <emulator>, instead of the qemu-xen one.

See FATE#320638 for details.

Index: libvirt-2.0.0/src/libxl/libxl_capabilities.c
===================================================================
--- libvirt-2.0.0.orig/src/libxl/libxl_capabilities.c
+++ libvirt-2.0.0/src/libxl/libxl_capabilities.c
@@ -36,6 +36,7 @@
 #include "domain_capabilities.h"
 #include "vircommand.h"
 #include "libxl_capabilities.h"
+#include "configmake.h"
 
 
 #define VIR_FROM_THIS VIR_FROM_LIBXL
@@ -335,7 +336,7 @@ libxlCapsInitGuests(libxl_ctx *ctx, virC
         if ((guest = virCapabilitiesAddGuest(caps,
                                              guest_archs[i].hvm ? VIR_DOMAIN_OSTYPE_HVM : VIR_DOMAIN_OSTYPE_XEN,
                                              guest_archs[i].arch,
-                                             LIBXL_EXECBIN_DIR "/qemu-system-i386",
+                                             BINDIR "/qemu-system-x86_64",
                                              (guest_archs[i].hvm ?
                                               LIBXL_FIRMWARE_DIR "/hvmloader" :
                                               NULL),